Bug 531255 - Review Request: CGSI-gSOAP - GSI plugin for gSOAP
Summary: Review Request: CGSI-gSOAP - GSI plugin for gSOAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 531256 531258
TreeView+ depends on / blocked
 
Reported: 2009-10-27 13:54 UTC by Mattias Ellert
Modified: 2009-12-17 23:57 UTC (History)
3 users (show)

Fixed In Version: 1.3.3.2-2.20090920cvs.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 07:28:58 UTC
steve.traylen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-10-27 13:54:44 UTC
Spec URL: http://www.grid.tsl.uu.se/review/CGSI-gSOAP.spec
SRPM URL: http://www.grid.tsl.uu.se/review/CGSI-gSOAP-1.3.3.2-1.fc11.src.rpm

Description:
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

Comment 1 Steve Traylen 2009-11-09 20:18:00 UTC
1)
What's the reason for the 
Provides:       CGSI_gSOAP = %{version}-%{release}
Obsoletes:      CGSI_gSOAP < 1.3.2.2-3

where was CGSI_gSOAP released?

2)
I read in another review that 

%{_docdir}/%{name}-devel-%{version}

should not be marked as a %doc but only the items inside it though
to be honest it makes more sense to me if it is a %doc to be left
out upon installing with no %docs.

3)
Given the cvs tag is a date should the release number not reflect this?

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

Other than that looking good.

Steve

Comment 2 Mattias Ellert 2009-11-12 03:51:42 UTC
New version available:

Spec URL: http://www.grid.tsl.uu.se/review/CGSI-gSOAP.spec
SRPM URL: http://www.grid.tsl.uu.se/review/CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc11.src.rpm

The release tag now contains the cvs date.

The Provides/Obsoletes for the old package name that was never in Fedora is removed.

Since all files inside the doc directory are also doc I see no problem with marking the directory doc too.

Comment 3 Steve Traylen 2009-11-12 06:28:55 UTC
Provides:	CGSI_gSOAP-devel = %{version}-%{release}
Obsoletes:	CGSI_gSOAP-devel < 1.3.2.2-3

to go as well.

Comment 5 Steve Traylen 2009-11-12 20:22:02 UTC
Review of CGSI-gSOAP.spec

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1804012

+ rpmlint clean

$ rpmlint SPECS/CGSI-gSOAP.spec SRPMS/CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc12.src.rpm RPMS/x86_64/CGSI-gSOAP-*
4 packages and 1 specfiles checked; 0 errors, 0 warnings.


+ Package name good.
+ Spec file name good.
+ Meets the pkg guidelines.
+ Spec Licensed with ASL 2.0
+ Code is also ASL 2.0
+ A LICENSE file is present.
+ English spec
+ Legible spec.
+ Source matches upstream.
diff -r --brief CGSI-gSOAP-1.3.3.2 /tmp/CGSI-gSOAP-1.3.3.2

+ Builds as per koji above.
+ Builds on all arches.
+ BR sensible.
+ No locales present.
+ ldconfig called correctly.
+ No system libs.
+ Not relocatable.
+ Owns all directories it creates or pulls them in.
+ No file duplicates.
+ All %defattr
+ %clean is cleaned.
+ Consitant use of macros.
+ Contain code.
+ No large docs.
+ %doc not needed for runtime.
+ headers in devel.
+ No pkg-config files.
+ .so in devel.
+ "-devel" requires explicitly ""
+ no .la files.
+ No gui
+ Does not own forign package files.
+ %install does clean.
+ utf8.


APPROVED

Comment 6 Mattias Ellert 2009-11-13 08:35:36 UTC
Many thanks for the review.

New Package CVS Request
=======================
Package Name: CGSI-gSOAP
Short Description: GSI plugin for gSOAP
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 7 Jason Tibbitts 2009-11-13 19:35:26 UTC
CVS done.

Comment 8 Fedora Update System 2009-11-14 10:50:19 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc12

Comment 9 Fedora Update System 2009-11-14 10:50:25 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc11

Comment 10 Fedora Update System 2009-11-16 07:28:54 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-16 07:38:26 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Steve Traylen 2009-12-02 12:37:19 UTC
Is there a reason for the lack of .el4 or 5 build?

Comment 13 Mattias Ellert 2009-12-02 12:57:51 UTC
When I did the Fedora builds gsoap was not yet in EPEL.

Gsoap has now been built for EPEL, and I have requested a buildroot override in order to build CGSI-gSOAP before gsoap gets into EPEL stable.

The buildroot override was added on Sunday - so it is now possible to build the packages, I just had a lot of things to do since then.

Comment 14 Fedora Update System 2009-12-03 06:33:03 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/CGSI-gSOAP-1.3.3.2-2.20090920cvs.el5

Comment 15 Fedora Update System 2009-12-03 06:33:10 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/CGSI-gSOAP-1.3.3.2-2.20090920cvs.el4

Comment 16 Fedora Update System 2009-12-17 23:52:00 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-12-17 23:57:26 UTC
CGSI-gSOAP-1.3.3.2-2.20090920cvs.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.